local logFile = io.open("/var/log/mobile-config.log", "a")
function log(data)
  if (_G["DEBUG"] == nil) then
    return
  end
  logFile:write("\n" .. os.date("%Y/%m/%d %H:%M:%S "))
  if type(data) == "table" then
    logFile:write("\n")
    logFile:write(table2String(data, "  "))
  else
    logFile:write(tostring(data))
  end
end

function cmdCall(cmd)
  log("call cmd")
  log(cmd)

  local handler = io.popen(cmd)
  local output = handler:read("*a")
  handler:close()
  return output
end
