#!/usr/bin/lua

package.path = "/www/web/?.lua;/www/?.lua;" .. package.path

require("wifi.cgiutils")
require("wifi.common-handler")
dofile "/www/config/ng.conf"

local ssid = 1
local port = 8079 + ssid
local env = { SERVER_PORT = port }
local host = getServerHost(env)

local content =
  [[Content-Type: text/html
Connection: close

<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Loading...</title>
</head>
<body>
  Loading...
  <script>
    window.location.href = 'http://<%= host %>:<%= port %>/wifi/pre?src=404';
  </script>
</body>
</html>
]]

renderString(content, { host = host, port = port })
