-- env looks like this:
-- printed with: uhttpd.send('<br><br>'..json.encode(env).."<br>")
-- {"SCRIPT_NAME":"/",
--  "HTTP_VERSION":1.1,
--  "SERVER_ADDR":"192.168.1.1",
--  "REMOTE_ADDR":"192.168.1.204",
--  "headers":{"Host":"192.168.1.1",
--             "Connection":"keep-alive",
--             "Cookie":"Language=en",
--             "Accept":"text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8",
--             "User-Agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:12.0) Gecko/20100101 Firefox/12.0",
--             "DNT":"1",
--             "Accept-Language":"en-us,en;q=0.5",
--             "Accept-Encoding":"gzip, deflate"},
--  "SERVER_PORT":80,
--  "REMOTE_PORT":57523,
--  "QUERY_STRING":"sadjfh=23&sadfl=4",
--  "REQUEST_URI":"/?sadjfh=23&sadfl=4",
--  "SERVER_PROTOCOL":"HTTP/1.1",
--  "REQUEST_METHOD":"GET"}

dofile "/www/config/ng.conf"
dofile "/www/web/wifi/cgiutils.lua"
dofile "/www/web/mobile/common.lua"
dofile "/www/web/mobile/processor.lua"

function handle_request(env)
  if not env.HTTP_USER_AGENT then
    env.HTTP_USER_AGENT = env.headers["User-Agent"] or env.headers["user-agent"]
  end

  log({headers = env.headers})
  process(env)
end