const BYPASS_URL = '/wifi/bypass';

function isLocalStorageSupported() {
  var mod = 'modernizr';
  try {
    localStorage.setItem(mod, mod);
    localStorage.removeItem(mod);
    return true;
  } catch (e) {
    return false;
  }
}
function paramToQuery(params) {
  return Object.keys(params)
    .map(function(key) {
      return [key, params[key]].join('=');
    })
    .join('&');
}
function createIframe(src, onload) {
  const fr = document.createElement('iframe');
  fr.style.width = '1px';
  fr.style.height = '1px';
  fr.style.border = 'none';
  if (typeof onload === 'string') {
    fr.onload = function() {
      window.location = onload;
    };
  } else if (typeof onload === 'function') {
    fr.onload = onload.bind(fr);
  }

  fr.src = src;
  document.body.appendChild(fr);
}

// first render
function handleLoading() {
  const params = { src: 'loading' };
  if (isIOS && !isLocalStorageSupported()) {
    params.cna = true;
  }

  setTimeout(function() {
    window.location.href = '/wifi/?' + paramToQuery(params);
  }, 500);
}

// second render
function bypass() {
  createIframe(window.location.origin + BYPASS_URL);
}

const browsers = {
  chrome: 'com.android.chrome',
  firefox: 'org.mozilla.firefox',
  coccoc: 'com.coccoc.trinhduyet',
  opera: 'com.opera.browser',
};

function tryOpenBrowser(browser, cb) {
  if (!(browser in browsers)) browser = 'chrome';

  createIframe(
    'intent://' +
      [window.location.host, BYPASS_URL].join('') +
      '#Intent' +
      [';scheme=', window.location.protocol.replace(':', '')].join('') +
      [';package=', browsers[browser]].join('') +
      ';end;',
    cb,
  );
}

function handleBypass() {
  if (isIOS) {
    bypass();
  } else {
    tryOpenBrowser('chrome');
  }

  function showCloseInstruction() {
    const copyEle = getEle('.url-container');
    copyEle.addEventListener('click', function() {
      if (!isIOS) {
        bypass();
      }
      copy(window.location.origin);
    });

    const ele = getEle('.login-instruction');
    ele.classList.remove('hidden');

    const spinner = getEle('.spinner');
    spinner.classList.add('hidden');
  }

  setTimeout(function() {
    showCloseInstruction();
  }, 3000);
}

// last render
function handleAfterBypass() {
  const goEle = document.createElement('a');
  const url =
    window.location.origin + '/wifi/?' + paramToQuery({ src: 'bypass' });
  goEle.setAttribute('href', url);
  document.body.appendChild(goEle);
  setTimeout(function() {
    goEle.click();
  }, 1000);
}
